Subject: RE: bug#28799: 25.3; Description of Character-Folding Omits Key Functionality

From: Drew Adams <[email-masked]>
Date: Mon, 15 Jul 2019 06:50:32 -0700 (PDT)

> > (I am advised by Eli Zaretskii that this deficiency in the
> > documentation should be dealt with by submitting a bug report using
> > "M-x report-emacs-bug RET".)
> >
> > The EmacsWiki page https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.emacswiki.org_emacs_CharacterFoldPlus&d=DwIBAg&c=RoP1YumCXCgaWHvlZYR
> 8PZh8Bv7qIrMUB65eapI_JnE&r=kI3P6ljGv6CTHIKju0jqInF6AOwMCYRDQUmqX22rJ98&m=9hx
> c1orLDbgDi-
> 9ataMiWET1i2cn6mWUIW0QFSWYOHI&s=1P21cC1HQajCewgVwt20SrHcg8tnq1FEYitcxoxOXF4&
> e=
> > gives no indication of the important capability of character folding to
> > search for text in Unicode Normalisation Form D or Unicode
> > Normalisation Form C using a search string expressed in the opposite
> > normalisation.
> 
> The Emacs Wiki isn't run by the Emacs maintainers, I think?  And this is
> about a package not included in Emacs, but written by Drew Adams (who
> also wrote that Wiki page), so I this he's the correct recipient here,
> so I'm Cc-ing him and closing this bug report.

Yes, this page is about library character-fold+.el,
not vanilla Emacs (e.g. library character-fold.el).

The first thing in the Commentary of character-fold+.el
says this:

;;  NOTE: This library is NOT UP-TO-DATE WRT EMACS 25.  The vanilla
;;        Emacs library `character-fold.el', which this library
;;        extends, was changed in incompatible ways after this library
;;        was written.  I have not yet had a chance to update this
;;        (and am waiting for Emacs 25 to be released to do so).
;;        Sorry about that.

(And clearly the parenthetical phrase is also not up to date.)

Dunno if/when I'll get a chance to revisit what this library did.  It would be great if vanilla Emacs offered symmetric character folding (as a choice).